<sqtm-core-customisable-dialog
  [dialogId]="data.id"
  [titleKey]="
    'sqtm-core.requirement-workspace.dialog.export.title.export-requirement'
  "
  [attr.data-test-dialog-id]="'export-dialog'"
>
  <sqtm-core-dialog-body>
    <ng-container>
      <div class="sqtm-core-dialog-form p-10" [formGroup]="formGroup">
        <label class="label label__align_right">{{
          'sqtm-core.requirement-workspace.dialog.export.field.format'
            | translate
        }}</label>

        <div class="flex-column">
          <sqtm-core-select-field
            [formGroup]="formGroup"
            [options]="getFormat()"
            [fieldName]="'format'"
          ></sqtm-core-select-field>
          @if (formGroup.controls.format.value === 'xls') {
            <span class="format-message">{{
              'sqtm-core.requirement-workspace.dialog.message.xls-export'
                | translate
            }}</span>
          } @else {
            <span class="format-message">{{
              'sqtm-core.requirement-workspace.dialog.message.csv-export'
                | translate
            }}</span>
          }
        </div>

        <label class="label label__align_right">{{
          'sqtm-core.requirement-workspace.dialog.export.file-name' | translate
        }}</label>

        <sqtm-core-text-field
          [fieldName]="'fileName'"
          [formGroup]="formGroup"
        ></sqtm-core-text-field>

        <label class="label label__align_right">{{
          'sqtm-core.requirement-workspace.dialog.export.options' | translate
        }}</label>

        <div class="flex-column">
          <div class="flex-row p-5">
            <span
              nz-checkbox
              [formGroup]="formGroup"
              formControlName="addLinkedLowLevelReq"
              ngDefaultControl
            >
              {{
                'sqtm-core.requirement-workspace.dialog.export.add-linked-low-level-requirement'
                  | translate
              }}
              <i
                class="current-workspace-main-color font-16-px m-l-5"
                nz-icon
                nzType="sqtm-core-generic:help"
                nzTheme="fill"
                nz-tooltip
                [nzTooltipTitle]="
                  'sqtm-core.requirement-workspace.dialog.message.add-linked-low-level-requirement'
                    | translate
                "
              ></i>
            </span>
          </div>
          <div class="flex-row p-5">
            <span
              style="margin-left: 0"
              nz-checkbox
              [formGroup]="formGroup"
              formControlName="editableRichText"
              ngDefaultControl
            >
              {{
                'sqtm-core.requirement-workspace.dialog.export.rich-text-format'
                  | translate
              }}
            </span>

            <i
              class="current-workspace-main-color font-16-px"
              nz-icon
              nzType="sqtm-core-generic:help"
              nzTheme="fill"
              nz-tooltip
              [nzTooltipTitle]="
                'sqtm-core.requirement-workspace.dialog.message.rich-text-format'
                  | translate
              "
            ></i>
          </div>
        </div>
      </div>
    </ng-container>
  </sqtm-core-dialog-body>
  <sqtm-core-dialog-footer>
    <a
      [attr.data-test-dialog-button-id]="'export'"
      nz-button
      [href]="doExport()"
      [disabled]="!formIsValid()"
      [nzType]="'primary'"
      (click)="close()"
      >{{ 'sqtm-core.generic.label.export' | translate }}</a
    >

    <button
      [attr.data-test-dialog-button-id]="'cancel'"
      class="flex-fixed-size m-l-10"
      nz-button
      nzType="default"
      sqtmCoreDialogClose
    >
      {{ 'sqtm-core.generic.label.cancel' | translate }}
    </button>
  </sqtm-core-dialog-footer>
</sqtm-core-customisable-dialog>
